import 'package:fcs/domain/entities/carton.dart';

abstract class CartonService {
  Future<Carton> createCarton(Carton carton);
  Future<void> updateCarton(Carton carton);
  Future<void> deleteCarton(Carton carton);
  Future<void> deliver(Carton carton);
  Future<List<Carton>> searchCarton(String term);
}
